#include <stdio.h>
#include <stdlib.h>

typedef struct celula {
    char pessoa;
    int valor;
    struct celula* next;
} celula;

void imprime(celula* l) {
    while (l) {
        printf("%c %d\n",l->pessoa,l->valor);
        l = l->next;
    }
}

celula* insere(celula* l, char p, int v) {
    if (l && l->valor > v) {
        l->next = insere(l->next,p,v);
    } else {
        celula *c = (celula*)malloc(sizeof(celula));
        c->next = l;
        c->pessoa = p;
        c->valor = v;
        l = c;
    }
    return l;
}

int main(void) {
    celula* lista = NULL;
    int i;

    do {
        scanf("%d",&i);
        if (i>0)
            lista = insere(lista,'M',i);
    } while (i > 0);

    do {
        scanf("%d",&i);
        if (i>0)
            lista = insere(lista,'H',i);
    } while (i > 0);
    
    imprime(lista);

    return 0;
}
